import { Route } from '@angular/router';
import { AdminLayoutComponent } from './layout/feature/ui/layout.component';
import { AdminGuard } from '../+login/data-access/guard/admin.guard';

const ADMIN_ROUTES: Route[] = [
  {
    path: '',
    component: AdminLayoutComponent,
    canActivate: [AdminGuard],
    children: [
      {
        path: '',
        pathMatch: 'full',
        redirectTo: 'dashboard',
      },
      {
        path: 'dashboard',
        loadComponent: () => 
          import('./pages/dashboard/dashboard.component').then(m => m.DashboardComponent),
      },
    ],
  },
];
export default ADMIN_ROUTES;
