export interface LoginRequest {
  username: string;  
  password: string;
}

export interface LoginResponse {
  message: string;
  responseData: {
    token: string;
    expirationTime: number;
    role: UserRole;
  };
  success: boolean;
  status: number;
  violations: any;
  path: string;
  timestamp: number;
}

export interface UserInfo {
  id?: number;
  username: string;  
  name?: string;
  role: UserRole;
}

export type UserRole = 'admin' | 'customer';

export interface AuthState {
  isAuthenticated: boolean;
  user: UserInfo | null;
  token: string | null;
}
