export interface Pagination {
  page: number;
  limit: number;
  sortBy?: string;
  sortOrder?: 'asc' | 'desc';
}

export interface ApiResponse<T = any> {
  message: string;
  success: boolean;
  status: number;
  data?: T;
}

export interface ListResponse<T = any> extends ApiResponse {
  responseData: {
    items: T[];
    total: number;
    page: number;
    limit: number;
  };
}
